pandoc_available {rmarkdown} | R Documentation

## Check pandoc availabilty and version

### Description

Determine whether pandoc is currently available on the system (optionally checking for a specific version or greater). Determine the specific version of pandoc available.

### Usage

    pandoc_available(version = NULL)

    pandoc_version()

### Arguments

`version` | Required version of pandoc

### Details

The system path as well as the version of pandoc shipped with RStudio (if running under RStudio) are scanned for pandoc and the highest version available is used.

### Value

`pandoc_available` returns a logical indicating whether the required version of pandoc is available. `pandoc_version` returns a `numeric_version` with the version of pandoc found.

### Examples

    ## Not run:
    library(rmarkdown)

    if (pandoc_available())
      cat("pandoc", as.character(pandoc_version()), "is available!\n")

    if (pandoc_available("1.12.3"))
      cat("requried version of pandoc is available!\n")

    ## End(Not run)

[Package rmarkdown version 0.9.6 Index]